name: Release

on:
  workflow_dispatch:
    inputs:
      semver:
        type: choice
        description: Choose the semver
        options:
          - "Major - Incompatible API changes"
          - "Minor - Adding functionality in a backward compatible manner"
          - "Patch - Backward compatible bug fixes"

jobs:
  release:
    name: Release
    runs-on: skydust-runner
    steps:
      - name: Release
        uses: https://gitea.skydust.fr/actions/create-release@main
        with:
          semver: ${{ inputs.semver }}
          token: ${{ secrets.CI_TOKEN }}
